/*************************************************************************
* COPYRIGHT (C) 1999 - 2002  EDF R&D
* THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
* IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
* AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
* EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
*  
* THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
* WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
* MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
* LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
*
* YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
* ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
* INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
*
*************************************************************************/


/******************************************************************************
 * - Nom du fichier : test3.c
 *
 * - Description : tests de la routine d'info sur maillages 
 *                 MED
 *
 *****************************************************************************/

#include <med.h>
#include <string.h>

/******************************************************************************
 *    - ouverture du fichier produit par test2 en mode lecture
 *    - lecture du nombre de maillages
 *    - lecture des infos (nom+dimension) sur les maillages
 *    - fermeture du fichier
 *****************************************************************************/

int main (int argc, char **argv)
{
  med_err ret;
  med_idt fid;
  med_int nmaa,i,mdim;
  char maa[MED_TAILLE_NOM+1];
  char nomu[MED_TAILLE_LNOM+1];
  fid = MEDouvrir("test2.med",MED_LECT);
  if (fid < 0)
    ret = -1;
  else
    ret = 0;
  printf("%d\n",ret);

  /* lecture du nombre de maillages */
  if (ret == 0)
    nmaa = MEDnMaa(fid);
  if (nmaa < 0)
    ret = -1;
  if (ret == 0)
    printf("nombre de maillages = %d\n",nmaa);
  printf("%d\n",ret);

  if (ret == 0)
    for (i=0;i<nmaa;i++)
      if (ret == 0)
	{
	  ret = MEDmaaInfo(fid,i+1,maa,&mdim);
	  ret += MEDunvLire(fid,maa,nomu);
	  printf("maillage %d de nom %s et de dimension %d et de nom univ. %s\n",i+1,maa,mdim,nomu);
          printf("%d\n",ret);
	}

  ret = MEDfermer(fid);
  printf("%d\n",ret);
  
  return 0;
}




