C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

C ******************************************************************************
C * - Nom du fichier : test3.f
C *
C * - Description : tests de la routine d'info sur maillages 
C *
C ******************************************************************************
      program test3
C     
      implicit none
      include 'med.hf'
C
C
 
C ******************************************************************************
C *    - ouverture du fichier produit par test2 en mode lecture
C *    - lecture du nombre de maillages
C *    - lecture des infos (nom+dimension) sur les maillages
C *    - fermeture du fichier
C ******************************************************************************

      integer      cret,ret, fid
      character*32 maa
      character*80 nomu
      integer      nmaa,i,mdim
      
      call efouvr(fid,'test2.med',MED_LECT, cret)
      print *,cret

 
C ** lecture du nombre de maillages                      **

      if (cret .eq. 0) then
         call efnmaa(fid,nmaa,cret)
         print *,'Nombre de maillages = ',nmaa
      endif
      print *,cret

C ** lecture des infos (nom+dimension) sur les maillages **

      if (cret.eq.0) then
         do i=1,nmaa  
            if (cret.eq.0) then               
               call efmaai(fid,i,maa,mdim,cret)
	       call efunvl(fid,maa,nomu,ret)
               cret = cret + ret
               print '(A,I1,A,A4,A,I1,A,A65)','maillage '
     &                ,i,' de nom ',maa,' et de dimension ',mdim
     &                ,' et de nom univ. ',nomu
               print *,cret
            endif
         enddo         
      endif
         
      call efferm (fid,cret)
      print *,cret

      end 


