C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

C       ******************************************************************************
C       * - Nom du fichier : test4.f
C       *
C       * - Description : ecriture des objets MED relatifs aux noeuds
C       *                 a l'aide des routines de bas niveau 
C       *                 MED
C       *
C       *****************************************************************************
	program test4
C       
	implicit none
	include 'med.hf'
C       
C       
	
C       ******************************************************************************
C       *    - creation d'un fichier MED
C       *    - ecriture des noeuds : coordonnees en mode MED_FULL_INTERLACE,
C       *                            noms,numeros,numeros de familles
C       *    - fermeture du fichier
C       *****************************************************************************
	
	integer cret, fid
	
C       ** la dimension du maillage                         **
	integer      mdim
C       ** nom du maillage de longueur maxi MED_TAILLE_NOM  **
	character*32 maa
C       ** le nombre de noeuds                              **
	integer      nnoe 
C       ** table des coordonnees                            **
C       profil : (dimension * nombre de noeuds) ici 8       **
        real*8       coo(8)
C       ** tables des noms et des unites des coordonnees    **
C           profil : (dimension)                            **
	character*8 nomcoo(2)
	character*8 unicoo(2)
C       ** tables des noms, numeros, numeros de familles des noeuds  **
C       autant d'elements que de noeuds - les noms ont pout longueur **
C       MED_TAILLE_PNOM                                              **
	character*8 nomnoe(4)
	integer     numnoe(4)
	integer     nufano(4)
	
	parameter    ( mdim = 2, maa = "maa1",nnoe = 4 )
	data  coo    /0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0/
	data  nomcoo /"x","y"/, unicoo /"cm","cm"/
	data  nomnoe /"nom1","nom2","nom3","nom4"/
	data  numnoe /1,2,3,4/, nufano /0,1,2,2/

	call efouvr(fid,'test4.med',MED_REMP, cret)
	print *,cret
	
C       ** creation du maillage maa de dimension 2 **
	if (cret .eq. 0) then
	   call efmaac(fid,maa,mdim,cret)
	endif
	print *,cret
	
C       ** ecriture des coo en mode MED_FULL_INTERLACE :(X1,Y1, X2,Y2, X3,Y3, ...) 
C       dans un repere cartesien **
	if (cret .eq. 0) then
	   call efcooe(fid,maa,mdim,coo,MED_FULL_INTERLACE,
     &	   nnoe,MED_ECRI,MED_CART,nomcoo,unicoo,cret)
	endif
	print *,cret         
	
C       ** ecriture des noms des noeuds (optionnel dans un fichier MED) **
	if (cret .eq.  0) then
	   call efnome(fid,maa,nomnoe,nnoe,MED_ECRI,MED_NOEUD,0,cret)
	 endif
         print *,cret
	 
C       ** ecriture des numeros des noeuds (optionnel dans un fichier MED) **
	 if (cret .eq. 0) then
	    call efnume(fid,maa,numnoe,nnoe,MED_ECRI,MED_NOEUD,0,cret)
	 endif
         print *,cret
	 

C       ** ecriture des numeros de familles des noeuds **	      
	 if (cret .eq. 0) then
	    call effame(fid,maa,nufano,nnoe,MED_ECRI,MED_NOEUD,0,cret) 
	 endif
         print *,cret

	 call efferm (fid,cret)
	 print *,cret
	
	 end
	




